## openshot-qt 3.2.0+dfsg1

=== debian/changelog ===
openshot-qt (3.2.0+dfsg1-0.1~mx23+1) mx; urgency=medium

  * New upstream version 3.2.0+dfsg1
    - Refresh patches and drop those applied upstream
    - Build-Depend on python3-openshot (>= 0.3.3)
    - Refresh patches.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 01 Jul 2024 07:50:53 -0700

openshot-qt (3.1.1+dfsg1-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 22 May 2024 21:17:11 -0700

## openshot-qt 3.2.1+dfsg1

=== debian/changelog ===
openshot-qt (3.2.1+dfsg1-0.1~mx23+1) mx; urgency=medium

  * New upstream version 3.2.1+dfsg1

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 15 Jul 2024 15:59:44 -0700

=== debian/control ===
Source: openshot-qt
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: video
Testsuite: autopkgtest-pkg-python
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-sphinxdoc,
               python3,
               python3-pyqt5,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/multimedia-team/openshot-qt
Vcs-Git: https://salsa.debian.org/multimedia-team/openshot-qt.git
Homepage: https://www.openshot.org/

Package: openshot-qt
Architecture: all
Depends: fonts-cantarell,
         libjs-jquery,
         libjs-jquery-ui,
         python3-openshot (>= 0.3.3),
         python3-pkg-resources,
         python3-pyqt5,
         python3-pyqt5.qtsvg,
         python3-pyqt5.qtwebkit,
         python3-requests,
         python3-zmq,
         ${misc:Depends},
         ${python3:Depends}
Suggests: blender, inkscape, openshot-qt-doc
Description: create and edit videos and movies
 OpenShot Video Editor is a free, open-source, non-linear video editor. It
 can create and edit videos and movies using many popular video, audio, and
 image formats. Create videos for YouTube, Flickr, Vimeo, Metacafe, iPod,
 Xbox, and many more common formats!
 .
 Features include:
  * Multiple tracks (layers)
  * Compositing, image overlays, and watermarks
  * Support for image sequences (rotoscoping)
  * Key-frame animation
  * Video and audio effects (chroma-key)
  * Transitions (lumas and masks)
  * 3D animation (titles and physics simulations)
  * Chroma key (green screen & blue screen)
  * Transcode (convert video encodings)
  * Upload videos (YouTube and Vimeo supported)

Package: openshot-qt-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-jquery, libjs-underscore, ${misc:Depends}, ${sphinxdoc:Depends}
Description: documentation for openshot-qt
 This is the official help manual for OpenShot Video Editor, a free,
 open-source, non-linear video editor. Learn how to edit videos, add
 watermarks, apply effects such as chroma key, and transition between
 videos. Also, learn how to become a developer, with step by step
 instructions.

## openshot-qt 3.3.0+dfsg1

=== debian/changelog ===
openshot-qt (3.3.0+dfsg1-0.1~mx25) mx; urgency=medium

  * New upstream version 3.3.0+dfsg1
    - Build-Depend on python3-openshot (>= 0.4.0~)

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 25 Nov 2025 17:14:19 -0800

=== debian/control ===
--- 
+++ 
@@ -21,15 +21,18 @@
 
 Package: openshot-qt
 Architecture: all
-Depends: fonts-cantarell,
+Depends: python3-defusedxml,
+         fonts-cantarell,
          libjs-jquery,
          libjs-jquery-ui,
-         python3-openshot (>= 0.3.3),
+         python3-openshot (>= 0.4.0~),
          python3-pkg-resources,
          python3-pyqt5,
+         python3-pyqt5.qtopengl,
          python3-pyqt5.qtsvg,
-         python3-pyqt5.qtwebkit,
+         python3-pyqt5.qtwebkit | python3-pyqt5.qtwebengine,
          python3-requests,
+         python3-xdg,
          python3-zmq,
          ${misc:Depends},
          ${python3:Depends}

## openshot-qt 3.4.0%2Bdfsg1

=== debian/changelog ===
openshot-qt (3.4.0+dfsg1-2~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Anton Gladky <gladk@debian.org>  Tue, 06 Jan 2026 19:52:25 +0100

openshot-qt (3.4.0+dfsg1-2) unstable; urgency=medium

  * [99a366b] fix(debian): Enforce minimum version for python3-openshot
  * [3adf437] chore(debian): Update Standards-Version to 4.7.2

 -- Anton Gladky <gladk@debian.org>  Tue, 30 Dec 2025 14:52:51 +0100

openshot-qt (3.4.0+dfsg1-1) unstable; urgency=medium

  * [81f1f83] chore(debian): Update patch set and remove obsolete patches
  * [4900496] New upstream version 3.4.0+dfsg1
  * [ae69749] Update for 3.4.0

 -- Anton Gladky <gladk@debian.org>  Fri, 26 Dec 2025 11:05:50 +0100

## openshot-qt 3.4.0+dfsg1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  markdown   to make standalone markdown files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: markdown
markdown:
	$(SPHINXBUILD) -b markdown $(ALLSPHINXOPTS) $(BUILDDIR)/markdown
	@echo
	@echo "Build finished. The Markdown pages are in $(BUILDDIR)/markdown."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/OpenShotVideoEditor.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/OpenShotVideoEditor.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/OpenShotVideoEditor"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/OpenShotVideoEditor"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/control ===
Source: openshot-qt
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: video
Testsuite: autopkgtest-pkg-python
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               python3,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-pyqt5,
               python3-pyqt5.qtsvg,
               python3-pyqt5.qtwebengine,
               python3-openshot (>= 0.5.0),
               python3-zmq,
               python3-requests
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/multimedia-team/openshot-qt
Vcs-Git: https://salsa.debian.org/multimedia-team/openshot-qt.git
Homepage: https://www.openshot.org/

Package: openshot-qt
Architecture: all
Depends: fonts-cantarell,
         libjs-angularjs,
         libjs-jquery,
         libjs-jquery-ui,
         python3-openshot (>= 0.5.0),
         python3-pyqt5,
         python3-pyqt5.qtsvg,
         python3-pyqt5.qtwebengine,
         python3-requests,
         python3-zmq,
         ${misc:Depends},
         ${python3:Depends}
Suggests: blender,
          inkscape,
          openshot-qt-doc,
Description: create and edit videos and movies
 OpenShot Video Editor is a free, open-source, non-linear video editor. It
 can create and edit videos and movies using many popular video, audio, and
 image formats. Create videos for YouTube, Flickr, Vimeo, Metacafe, iPod,
 Xbox, and many more common formats!
 .
 Features include:
  * Multiple tracks (layers)
  * Compositing, image overlays, and watermarks
  * Support for image sequences (rotoscoping)
  * Key-frame animation
  * Video and audio effects (chroma-key)
  * Transitions (lumas and masks)
  * 3D animation (titles and physics simulations)
  * Chroma key (green screen & blue screen)
  * Transcode (convert video encodings)
  * Upload videos (YouTube and Vimeo supported)

Package: openshot-qt-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: documentation for openshot-qt
 This is the official help manual for OpenShot Video Editor, a free,
 open-source, non-linear video editor. Learn how to edit videos, add
 watermarks, apply effects such as chroma key, and transition between
 videos. Also, learn how to become a developer, with step by step
 instructions.
